org.apache.solr.client.solrj.io.stream

## Class ExecutorStream.StreamTask

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.ExecutorStream.StreamTask

All Implemented Interfaces:
  Runnable

Enclosing class:
  ExecutorStream

    public static class ExecutorStream.StreamTask
    extends Object
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`StreamTask(ArrayBlockingQueue queue, StreamFactory streamFactory, StreamContext streamContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamTask

    public StreamTask(ArrayBlockingQueue queue,
                      StreamFactory streamFactory,
                      StreamContext streamContext)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`